# Uses of Enum Class
org.stianloader.picoresolve.Scope

Packages that use Scope
Package
Description
org.stianloader.picoresolve

## Uses of Scope in org.stianloader.picoresolve

Fields in org.stianloader.picoresolve declared as Scope
Modifier and Type
Field
Description
`final @NotNull Scope`
DependencyLayer.DependencyEdge.`scope`
Methods in org.stianloader.picoresolve that return Scope
Modifier and Type
Method
Description
`static @NotNull Scope`
Scope.`fromElement(@Nullable Element element)`
`static @NotNull Scope`
Scope.`fromString(@Nullable String str)`
`static Scope`
Scope.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Scope[]`
Scope.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.stianloader.picoresolve with parameters of type Scope
Modifier
Constructor
Description
``
`DependencyEdge(@NotNull String group, @NotNull String artifact, @Nullable String classifier, @NotNull String type, @NotNull VersionRange requestedVersion, @NotNull Scope scope, @NotNull ExclusionContainer<Exclusion> edgeExclusion)`